Deployments.ai Docs
Alerts

List monitors

GET /v1/monitors · SDK listMonitors · CLI deployments monitor list

GET
/v1/monitors

Requires monitors:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
environmentId?string

Only monitors or incidents of this environment.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListMonitorsResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/monitors" \  -H "x-deployments-organization: string"
{  "items": [    {      "archivedAt": "2019-08-24T14:15:22Z",      "condition": {        "agentDeploymentId": "string",        "kind": "run-failures",        "threshold": 1,        "windowMinutes": 5      },      "createdAt": "2019-08-24T14:15:22Z",      "environmentId": "string",      "id": "string",      "mutedUntil": "2019-08-24T14:15:22Z",      "name": "string",      "notify": {        "emailPrincipalIds": [          "string"        ],        "emailRoles": [          "owner"        ],        "webhooks": true      },      "organizationId": "string",      "projectId": "string",      "renotifyMinutes": 15,      "state": "firing",      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}